Subject: Re: [PATCH net-next] ipv4/fib: send RTM_DELROUTE notify when flush fib

From: Stephen Hemminger <[email-masked]>
Date: Mon, 24 Jul 2023 08:48:20 -0700

On Mon, 24 Jul 2023 16:56:37 +0800
Hangbin Liu <[email-masked]> wrote:

> The NetworkManager keeps a cache of the routes. Missing/Wrong events mean that
> the cache becomes inconsistent. The IPv4 will not send src route delete info
> if it's bond to other device. While IPv6 only modify the src route instead of
> delete it, and also no notify. So NetworkManager developers complained and
> hope to have a consistent and clear notification about route modify/delete.

Read FRR they get it right. The routing daemons have to track kernel,
and the semantics have been worked out for years.